# Function makePropertyChangeObservable

- makePropertyChangeObservable<T extends object>(
  target: T,
  ): PropertyChangeObservable<T>

  Creates a property change observable object from a existing object. The observable object has a additional property `onPropertyChanged` which is an observable that can be subscribed to. Any changes to properties on the object can be observed by subscribing to the `onPropertyChanged` observable.

  #### Type Parameters

  - T extends object

    The type of the object being observed.

  #### Parameters

  - target: T

    The object to observe.

  #### Returns PropertyChangeObservable<T>

  The property change observable object.